PE
--

Parser
*******

.. autofunction:: lief.PE.parse


Binary
******

.. autoclass:: lief.PE.Binary
  :members:
  :inherited-members:
  :undoc-members:

----------

Dos Header
**********

.. autoclass:: lief.PE.DosHeader
  :members:
  :inherited-members:
  :undoc-members:

----------

Header
*******

.. autoclass:: lief.PE.Header
  :members:
  :inherited-members:
  :undoc-members:

----------

Optional Header
***************

.. autoclass:: lief.PE.OptionalHeader
  :members:
  :inherited-members:
  :undoc-members:

----------

Data Directory
**************

.. autoclass:: lief.PE.DataDirectory
  :members:
  :inherited-members:
  :undoc-members:

----------

Section
*******

.. autoclass:: lief.PE.Section
  :members:
  :inherited-members:
  :undoc-members:

----------


Import
*******

.. autoclass:: lief.PE.Import
  :members:
  :inherited-members:
  :undoc-members:

----------


Import Entry
************

.. autoclass:: lief.PE.ImportEntry
  :members:
  :inherited-members:
  :undoc-members:

----------

TLS
***

.. autoclass:: lief.PE.TLS
  :members:
  :inherited-members:
  :undoc-members:

----------

Symbol
*******

.. autoclass:: lief.PE.Symbol
  :members:
  :inherited-members:
  :undoc-members:

----------

Relocation
**********

.. autoclass:: lief.PE.Relocation
  :members:
  :inherited-members:
  :undoc-members:


----------

Relocation Entry
****************

.. autoclass:: lief.PE.RelocationEntry
  :members:
  :inherited-members:
  :undoc-members:


----------

Export
******

.. autoclass:: lief.PE.Export
  :members:
  :inherited-members:
  :undoc-members:


----------

Export Entry
************

.. autoclass:: lief.PE.ExportEntry
  :members:
  :inherited-members:
  :undoc-members:

----------

Signature
*********

.. autoclass:: lief.PE.Signature
  :members:
  :inherited-members:
  :undoc-members:

----------

AuthenticatedAttributes
***********************

.. autoclass:: lief.PE.AuthenticatedAttributes
  :members:
  :inherited-members:
  :undoc-members:

----------

x509
****

.. autoclass:: lief.PE.x509
  :members:
  :inherited-members:
  :undoc-members:

----------

ContentInfo
***********

.. autoclass:: lief.PE.ContentInfo
  :members:
  :inherited-members:
  :undoc-members:


----------


SignerInfo
**********

.. autoclass:: lief.PE.SignerInfo
  :members:
  :inherited-members:
  :undoc-members:


----------


Builder
*******

.. autoclass:: lief.PE.Builder
  :members:
  :inherited-members:
  :undoc-members:


----------


Resource Node
*************

.. autoclass:: lief.PE.ResourceNode
  :members:
  :inherited-members:
  :undoc-members:


----------



Resource Directory
******************

.. autoclass:: lief.PE.ResourceDirectory
  :members:
  :inherited-members:
  :undoc-members:


----------


Resource Data
*************

.. autoclass:: lief.PE.ResourceData
  :members:
  :inherited-members:
  :undoc-members:


----------


Resources Manager
*****************

.. autoclass:: lief.PE.ResourcesManager
  :members:
  :inherited-members:
  :undoc-members:


----------

Resource Icon
*************

.. autoclass:: lief.PE.ResourceIcon
  :members:
  :inherited-members:
  :undoc-members:


----------


Resource Dialog
***************

.. autoclass:: lief.PE.ResourceDialog
  :members:
  :inherited-members:
  :undoc-members:


----------

Resource Dialog Item
*********************

.. autoclass:: lief.PE.ResourceDialogItem
  :members:
  :inherited-members:
  :undoc-members:


----------


Resource Version
****************

.. autoclass:: lief.PE.ResourceVersion
  :members:
  :inherited-members:
  :undoc-members:

----------

Resource Fixed File Info
************************

.. autoclass:: lief.PE.ResourceFixedFileInfo
  :members:
  :inherited-members:
  :undoc-members:

----------

Resource Var File Info
**********************

.. autoclass:: lief.PE.ResourceVarFileInfo
  :members:
  :inherited-members:
  :undoc-members:

----------

Resource String File Info
*************************

.. autoclass:: lief.PE.ResourceStringFileInfo
  :members:
  :inherited-members:
  :undoc-members:

----------

Lang code item
**************

.. autoclass:: lief.PE.LangCodeItem
  :members:
  :inherited-members:
  :undoc-members:

----------

Resource String Table
*********************

.. autoclass:: lief.PE.ResourceStringTable
  :members:
  :inherited-members:
  :undoc-members:

----------

Rich Header
***********

.. autoclass:: lief.PE.RichHeader
  :members:
  :inherited-members:
  :undoc-members:

----------

Rich Entry
**********

.. autoclass:: lief.PE.RichEntry
  :members:
  :inherited-members:
  :undoc-members:

----------

Debug
*****

.. autoclass:: lief.PE.Debug
  :members:
  :inherited-members:
  :undoc-members:

----------


Code View
*********

.. autoclass:: lief.PE.CodeView
  :members:
  :inherited-members:
  :undoc-members:

----------


Code View PDB
**************

.. autoclass:: lief.PE.CodeViewPDB
  :members:
  :inherited-members:
  :undoc-members:

----------

Code Integrity
**************

.. autoclass:: lief.PE.CodeIntegrity
  :members:
  :inherited-members:
  :undoc-members:

----------


Pogo
****

.. autoclass:: lief.PE.Pogo
  :members:
  :inherited-members:
  :undoc-members:

----------


Pogo Entry
**********

.. autoclass:: lief.PE.PogoEntry
  :members:
  :inherited-members:
  :undoc-members:

----------


Load Configuration
******************

.. autoclass:: lief.PE.LoadConfiguration
  :members:
  :inherited-members:
  :undoc-members:


Load Configuration V0
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV0
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V1
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV1
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V2
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV2
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V3
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV3
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V4
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV4
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V5
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV5
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V6
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV6
  :members:
  :show-inheritance:
  :undoc-members:

Load Configuration V7
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.LoadConfigurationV7
  :members:
  :show-inheritance:
  :undoc-members:


Utilities
*********


.. autofunction:: lief.PE.is_pe

.. autofunction:: lief.PE.get_type

.. autofunction:: lief.PE.get_imphash

.. autofunction:: lief.PE.resolve_ordinals

-----------

Enums
*****

PE_TYPE
~~~~~~~

.. autoclass:: lief.PE.PE_TYPE
  :members:
  :inherited-members:
  :undoc-members:

----------

MACHINE_TYPES
~~~~~~~~~~~~~

.. autoclass:: lief.PE.MACHINE_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

HEADER_CHARACTERISTICS
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.HEADER_CHARACTERISTICS
  :members:
  :inherited-members:
  :undoc-members:

----------

SUBSYSTEM
~~~~~~~~~

.. autoclass:: lief.PE.SUBSYSTEM
  :members:
  :inherited-members:
  :undoc-members:

----------

DATA_DIRECTORY
~~~~~~~~~~~~~~

.. autoclass:: lief.PE.DATA_DIRECTORY
  :members:
  :inherited-members:
  :undoc-members:

----------

DLL_CHARACTERISTICS
~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.DLL_CHARACTERISTICS
  :members:
  :inherited-members:
  :undoc-members:

----------

SECTION_CHARACTERISTICS
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.SECTION_CHARACTERISTICS
  :members:
  :inherited-members:
  :undoc-members:

----------

SECTION_TYPES
~~~~~~~~~~~~~

.. autoclass:: lief.PE.SECTION_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

SYMBOL_BASE_TYPES
~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.SYMBOL_BASE_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

SYMBOL_COMPLEX_TYPES
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.SYMBOL_COMPLEX_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

SYMBOL_SECTION_NUMBER
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.SYMBOL_SECTION_NUMBER
  :members:
  :inherited-members:
  :undoc-members:

----------

SYMBOL_STORAGE_CLASS
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.SYMBOL_STORAGE_CLASS
  :members:
  :inherited-members:
  :undoc-members:

----------

RELOCATIONS_BASE_TYPES
~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.RELOCATIONS_BASE_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

DEBUG_TYPES
~~~~~~~~~~~

.. autoclass:: lief.PE.DEBUG_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

RESOURCE_TYPES
~~~~~~~~~~~~~~

.. autoclass:: lief.PE.RESOURCE_TYPES
  :members:
  :inherited-members:
  :undoc-members:

----------

RESOURCE_LANGS
~~~~~~~~~~~~~~

.. autoclass:: lief.PE.RESOURCE_LANGS
  :members:
  :inherited-members:
  :undoc-members:

----------

RESOURCE_SUBLANGS
~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.RESOURCE_SUBLANGS
  :members:
  :inherited-members:
  :undoc-members:

----------

FIXED_VERSION_FILE_SUB_TYPES
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.CODE_PAGES
  :members:
  :inherited-members:
  :undoc-members:

----------

WINDOW_STYLES
~~~~~~~~~~~~~

.. autoclass:: lief.PE.WINDOW_STYLES
  :members:
  :inherited-members:
  :undoc-members:


----------

EXTENDED_WINDOW_STYLES
~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.EXTENDED_WINDOW_STYLES
  :members:
  :inherited-members:
  :undoc-members:


----------

DIALOG_BOX_STYLES
~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.DIALOG_BOX_STYLES
  :members:
  :inherited-members:
  :undoc-members:


----------

FIXED_VERSION_OS
~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.FIXED_VERSION_OS
  :members:
  :inherited-members:
  :undoc-members:


----------

FIXED_VERSION_FILE_FLAGS
~~~~~~~~~~~~~~~~~~~~~~~~
.. autoclass:: lief.PE.FIXED_VERSION_FILE_FLAGS
  :members:
  :inherited-members:
  :undoc-members:


----------

FIXED_VERSION_FILE_TYPES
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.FIXED_VERSION_FILE_TYPES
  :members:
  :inherited-members:
  :undoc-members:


----------

FIXED_VERSION_FILE_SUB_TYPES
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.FIXED_VERSION_FILE_SUB_TYPES
  :members:
  :inherited-members:
  :undoc-members:


----------

WIN_VERSION
~~~~~~~~~~~

.. autoclass:: lief.PE.WIN_VERSION
  :members:
  :inherited-members:
  :undoc-members:


----------

GUARD_CF_FLAGS
~~~~~~~~~~~~~~

.. autoclass:: lief.PE.GUARD_CF_FLAGS
  :members:
  :inherited-members:
  :undoc-members:


----------

GUARD_RF_FLAGS
~~~~~~~~~~~~~~

.. autoclass:: lief.PE.GUARD_RF_FLAGS
  :members:
  :inherited-members:
  :undoc-members:

----------

CODE_VIEW_SIGNATURES
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.CODE_VIEW_SIGNATURES
  :members:
  :inherited-members:
  :undoc-members:


POGO_SIGNATURES
~~~~~~~~~~~~~~~

.. autoclass:: lief.PE.POGO_SIGNATURES
  :members:
  :inherited-members:
  :undoc-members:
